1

I had postgresql 8.4 in centos system. Aadditionally I needed postgresql 9.3. I want new version, But excute 8.4 version instead 9.3 version.

How can I change default version?

2
  • You realize that there may be more to do now than just changing to the new version. – mdpc Jan 28 '15 at 3:43
  • A program run on only a new version psql. – user3920450 Jan 28 '15 at 4:50
2

Your package manager may provide several versions, for instance:

yum install postgresql-8.4
yum install postgresql-9.3

Try using the tab key after "postgresql" to autocomplete the package list or look at the yum doc.

Then they may be accessible form the service command:

service postgresql start 8.4
service postgresql stop 9.3

Not the answer you're looking for? Browse other questions tagged or ask your own question.